Subject: Re: [PATCH v2 2/5] ls-remote: document --refs option

From: Thomas Gummerer <[email-masked]>
Date: Mon, 18 Jan 2016 22:39:46 +0100

On 01/18, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
>
> > On Mon, Jan 18, 2016 at 05:57:15PM +0100, Thomas Gummerer wrote:
> >
> >> +--refs::
> >> +	Do not show peeled tags or pseudo-refs like HEAD or MERGE_HEAD
> >> +	in the output.
> >> +
> >
> > Minor nit: we show whatever the other side sends us, which is the refs,
> > HEAD, and peeled tags. So mentioning MERGE_HEAD isn't wrong (if the
> > server _did_ send it to us, we would omit it), but it is a bit
> > misleading.
> >
> > I think saying "pseudo-refs like HEAD" is OK; even though we know it is
> > only HEAD in the current server implementation, it better describes what
> > the client side is doing.

Makes sense, will change.

>
> Good point, I think.  We probably would want to fix the glossary
> entry of the word that is not spelled with a dash in between the
> two word components (or update the above to spell it as a single
> word).
>

I'll update to spell it as a single word, as that seems to be more in
line with how it was used throughout the history.

$ git log | grep pseudo-ref | wc -l
2
$ git log | grep pseudoref | wc -l
18

Thanks, both.

--
Thomas